--==========================================================================================================================
-- IconTextureAtlases
--==========================================================================================================================
INSERT INTO IconTextureAtlases 
		(Atlas, 								IconSize, 	Filename, 				IconsPerRow, 	IconsPerColumn)
VALUES	('SAMNITES_ATLAS', 						256, 		'Samnites_256.dds',			4,				2),
		('SAMNITES_ATLAS', 						128, 		'Samnites_128.dds',			4, 				2),
		('SAMNITES_ATLAS', 						80, 		'Samnites_80.dds',			4, 				2),
		('SAMNITES_ATLAS', 						64, 		'Samnites_64.dds',			4, 				2),
		('SAMNITES_ATLAS', 						45, 		'Samnites_45.dds',			4, 				2),
		('SAMNITES_ATLAS', 						32, 		'Samnites_32.dds',			4, 				2),
		('SAMNITES_ALPHA_ATLAS',				128, 		'AlphaSamnites_128.dds',	1,				1),
		('SAMNITES_ALPHA_ATLAS',				80, 		'AlphaSamnites_80.dds',		1, 				1),
		('SAMNITES_ALPHA_ATLAS',				64, 		'AlphaSamnites_64.dds',		1, 				1),
		('SAMNITES_ALPHA_ATLAS',				48, 		'AlphaSamnites_48.dds',		1, 				1),
		('SAMNITES_ALPHA_ATLAS',				32, 		'AlphaSamnites_32.dds',		1, 				1),
		('SAMNITES_ALPHA_ATLAS',				24, 		'AlphaSamnites_24.dds',		1, 				1),
		('SAMNITES_ALPHA_ATLAS',	 			16, 		'AlphaSamnites_16.dds',		1, 				1),
		('UNIT_LEGIO_LINTEATA_FLAG_ATLAS',		32,			'TriariiFlag32.dds',		1, 				1),
		('UNIT_MEDDIS_TOUTIKS_FLAG_ATLAS',		32,			'MeddisFlag32.dds',			1, 				1),	
		('JAR_SAMNITES_MISSION_ATLAS', 			64, 		'Jar_Meddis_MissionAtlas_64.dds',	1, 		1),
		('JAR_SAMNITES_MISSION_ATLAS', 			45, 		'Jar_Meddis_MissionAtlas_45.dds',	1, 		1),
		('JAR_SAMNITES_ACHIEVEMENT_ATLAS', 		256, 		'Samnites_AchievementAtlas_256.dds',	2, 	1),
		('JAR_SAMNITES_ACHIEVEMENT_ATLAS', 		128, 		'Samnites_AchievementAtlas_128.dds',	2, 	1),
		('JAR_SAMNITES_ACHIEVEMENT_ATLAS', 		80, 		'Samnites_AchievementAtlas_80.dds',		2, 	1),
		('JAR_SAMNITES_ACHIEVEMENT_ATLAS', 		64, 		'Samnites_AchievementAtlas_64.dds',		2, 	1),
		('JAR_SAMNITES_ACHIEVEMENT_ATLAS', 		45, 		'Samnites_AchievementAtlas_45.dds',		2, 	1);

INSERT INTO IconTextureAtlases
		(Atlas, 				IconSize, Filename, IconsPerRow, IconsPerColumn)
VALUES	('promoSamnites_atlas', 256, 'samnites_PI_256.dds', 7, 2),
		('promoSamnites_atlas', 064, 'samnites_PI_064.dds', 7, 2),
		('promoSamnites_atlas', 045, 'samnites_PI_045.dds', 7, 2),
		('promoSamnites_atlas', 032, 'samnites_PI_032.dds', 7, 2),
		('promoSamnites_atlas', 016, 'samnites_PI_016.dds', 7, 2);
--==========================================================================================================================
-- UNIT GRAPHICS
--==========================================================================================================================
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 			TileType,		Asset)
VALUES	('ART_DEF_UNIT_MEDDIS_TOUTIKS',	'Unit', 	'MeddisSV128.dds'),
		('ART_DEF_UNIT_LEGIO_LINTEATA',	'Unit', 	'TriariiSV.dds');
--============================
-- MEDDISS TOUTIKS
--============================
-- ArtDefine_UnitInfos
------------------------------			
INSERT INTO ArtDefine_UnitInfos 
		(Type, 							DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_MEDDIS_TOUTIKS',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_GENERAL';
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,					UnitMemberInfoType,					NumMembers)
VALUES	('ART_DEF_UNIT_MEDDIS_TOUTIKS', 'ART_DEF_UNIT_MEMBER_MEDDIS_TOUTIKS', 1);
------------------------
-- ArtDefine_UnitMemberCombats
------------------------
INSERT INTO ArtDefine_UnitMemberCombats
		(UnitMemberType, 						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_MEDDIS_TOUTIKS', 	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, 'DefaultCavalry'
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_GREATGENERAL_EARLY';
------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons
		(UnitMemberType, 						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT 'ART_DEF_UNIT_MEMBER_MEDDIS_TOUTIKS', 	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_GREATGENERAL_EARLY';
------------------------
-- ArtDefine_UnitMemberInfos
------------------------
INSERT INTO ArtDefine_UnitMemberInfos
		(Type, 									Scale, Model, 							MaterialTypeTag, MaterialTypeSoundOverrideTag, ZOffset, Domain)
SELECT	'ART_DEF_UNIT_MEMBER_MEDDIS_TOUTIKS', 	Scale, 'roman_general_mounted.fxsxml', 	MaterialTypeTag, MaterialTypeSoundOverrideTag, ZOffset, Domain
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_GREATGENERAL_EARLY';
--============================	
-- LEGIO LINTEATA
--============================
-- ArtDefine_UnitInfos
------------------------------			
INSERT INTO ArtDefine_UnitInfos 
		(Type, 							DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_LEGIO_LINTEATA',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_SPEARMAN';
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,					UnitMemberInfoType,						NumMembers)
SELECT	'ART_DEF_UNIT_LEGIO_LINTEATA', 	'ART_DEF_UNIT_MEMBER_LEGIO_LINTEATA',	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_SPEARMAN';
------------------------
-- ArtDefine_UnitMemberCombats
------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
		(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_LEGIO_LINTEATA',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SPEARMAN';
------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_LEGIO_LINTEATA',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SPEARMAN';
------------------------
-- ArtDefine_UnitMemberInfos
------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 									Scale,	ZOffset, Domain, Model, 				MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_LEGIO_LINTEATA',	Scale,	ZOffset, Domain, 'Triarii_Rome.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_SPEARMAN';
--==========================================================================================================================
-- AUDIO
--==========================================================================================================================	
-- Audio_Sounds
------------------------------	
INSERT INTO Audio_Sounds 
			(SoundID, 									Filename, 				LoadType)
VALUES		('SND_LEADER_MUSIC_SAMNITES_PEACE', 	'Samnites_Peace', 	'DynamicResident'),
			('SND_LEADER_MUSIC_SAMNITES_WAR',		'Samnites_War', 	'DynamicResident');		
------------------------------
-- Audio_2DSounds
------------------------------	
INSERT INTO Audio_2DSounds 
			(ScriptID, 										SoundID, 					SoundType, 		MinVolume, 	MaxVolume,	IsMusic,	Looping)
VALUES		('AS2D_LEADER_MUSIC_SAMNITES_PEACE', 	'SND_LEADER_MUSIC_SAMNITES_PEACE', 	'GAME_MUSIC', 	75, 		75, 		1, 			0),
			('AS2D_LEADER_MUSIC_SAMNITES_WAR', 		'SND_LEADER_MUSIC_SAMNITES_WAR', 	'GAME_MUSIC', 	80, 		80, 		1,			0);
