--==========================================================================================================================		
--==========================================================================================================================
-- Civilizations
--==========================================================================================================================
INSERT INTO Civilizations 	
			(Type, 							Description, 							ShortDescription, 						Adjective, 								Civilopedia, 				CivilopediaTag, 		DefaultPlayerColor,		ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas,				AlphaIconAtlas, 	PortraitIndex,	SoundtrackTag, 	MapImage, 					DawnOfManQuote, 			DawnOfManImage)
SELECT		('CIVILIZATION_SAMNITES'), 	('TXT_KEY_CIV_SAMNITES_DESC'), 	('TXT_KEY_CIV_SAMNITES_SHORT_DESC'), ('TXT_KEY_CIV_SAMNITES_ADJECTIVE'), 	('TXT_KEY_CIV5_SAMNITES_TEXT_1'),	('TXT_KEY_CIV5_SAMNITES'), 	('PLAYERCOLOR_SAMNITES'), 	ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, ('SAMNITES_ATLAS'), ('SAMNITES_ALPHA_ATLAS'), 0, 			('ROME'),	 ('samnites_map.dds'), 	('TXT_KEY_CIV5_DOM_SAMNITES_TEXT'), ('dom_samnites.dds')
FROM Civilizations WHERE Type = 'CIVILIZATION_ROME';
--==========================================================================================================================
-- Civilization_CityNames
--==========================================================================================================================		
INSERT INTO Civilization_CityNames 
			(CivilizationType, 					CityName)
VALUES		('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_01'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_02'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_03'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_04'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_05'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_06'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_07'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_08'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_09'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_10'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_11'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_12'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_13'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_14'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_15'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_16'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_17'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_18'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_19'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_20'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_21'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_22'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_23'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_24'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_25'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_26'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_27'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_28'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_29'),
			('CIVILIZATION_SAMNITES', 		'TXT_KEY_CITY_NAME_SAMNITES_30');
--==========================================================================================================================
-- Civilization_FreeBuildingClasses
--==========================================================================================================================		
INSERT INTO Civilization_FreeBuildingClasses 
			(CivilizationType, 				BuildingClassType)
VALUES		('CIVILIZATION_SAMNITES', 	'BUILDINGCLASS_PALACE');
--==========================================================================================================================
-- Civilization_FreeTechs
--==========================================================================================================================	
INSERT INTO Civilization_FreeTechs 
			(CivilizationType, 				TechType)
SELECT		('CIVILIZATION_SAMNITES'), 	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_ROME';
--==========================================================================================================================
-- Civilization_FreeUnits
--==========================================================================================================================	
INSERT INTO Civilization_FreeUnits 
			(CivilizationType, 			UnitClassType, 	Count, UnitAIType)
SELECT		('CIVILIZATION_SAMNITES'), 	UnitClassType, Count, 	UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_ROME';
--==========================================================================================================================
-- Civilization_Leaders
--==========================================================================================================================		
INSERT INTO Civilization_Leaders 
			(CivilizationType, 				LeaderheadType)
VALUES		('CIVILIZATION_SAMNITES', 	'LEADER_KOMIUS_CASTRONIUS');
--==========================================================================================================================
-- Civilization_UnitClassOverrides
--==========================================================================================================================	
INSERT INTO Civilization_UnitClassOverrides 
			(CivilizationType, 				UnitClassType, 			UnitType)
VALUES		('CIVILIZATION_SAMNITES', 	'UNITCLASS_SPEARMAN', 	'UNIT_LEGIO_LINTEATA'),
			('CIVILIZATION_SAMNITES', 	'UNITCLASS_GREAT_GENERAL',	'UNIT_MEDDIS_TOUTIKS'),
			('CIVILIZATION_SAMNITES', 	'UNITCLASS_SETTLER', 	'UNIT_SAMNITE_SETTLER');
--==========================================================================================================================
-- Civilization_BuildingClassOverrides
--==========================================================================================================================	
--INSERT INTO Civilization_BuildingClassOverrides 
--			(CivilizationType, 			BuildingClassType, 	BuildingType)
--VALUES	('CIVILIZATION_SAMNITES', 	'BUILDINGCLASS_', 	'BUILDING_');
--==========================================================================================================================
-- Civilization_Religions
--==========================================================================================================================	
INSERT INTO Civilization_Religions 
			(CivilizationType, 				ReligionType)
VALUES		('CIVILIZATION_SAMNITES', 	'RELIGION_CHRISTIANITY');
--==========================================================================================================================
-- Civilization_SpyNames
--==========================================================================================================================	
INSERT INTO Civilization_SpyNames 
			(CivilizationType, 				SpyName)
VALUES		('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_0'),	
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_1'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_2'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_3'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_4'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_5'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_6'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_7'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_8'),
			('CIVILIZATION_SAMNITES', 	'TXT_KEY_SPY_NAME_SAMNITES_9');
--==========================================================================================================================
-- Civilization_Start_Region_Priority
--==========================================================================================================================	
INSERT INTO Civilization_Start_Region_Priority 
			(CivilizationType, 				RegionType)
VALUES		('CIVILIZATION_SAMNITES', 	'REGION_HILLS');	
--==========================================================================================================================	
-- Colors
--==========================================================================================================================			
INSERT INTO Colors 
			(Type, 									Red, 	Green, 	Blue, 	Alpha)
VALUES		('COLOR_PLAYER_SAMNITES_ICON',			0.6,	0.227,	0.173,	1),
			('COLOR_PLAYER_SAMNITES_BACKGROUND',	0.388,	0.576,	0.820,	1); 
--==========================================================================================================================	
-- PlayerColors
--==========================================================================================================================				
INSERT INTO PlayerColors 
			(Type, 								PrimaryColor, 							SecondaryColor, 								TextColor)
VALUES		('PLAYERCOLOR_SAMNITES',			'COLOR_PLAYER_SAMNITES_ICON', 		'COLOR_PLAYER_SAMNITES_BACKGROUND', 			'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================	
--==========================================================================================================================	
-- Leaders
--==========================================================================================================================			
INSERT INTO Leaders 
			(Type, 							Description, 						Civilopedia, 									CivilopediaTag, 						ArtDefineTag, 			VictoryCompetitiveness, WonderCompetitiveness, 	MinorCivCompetitiveness, 	Boldness, 	DiploBalance, 	WarmongerHate, 	DenounceWillingness, DoFWillingness, Loyalty, 	Neediness, 	Forgiveness, Chattiness, Meanness, 	IconAtlas, 		PortraitIndex)
VALUES		('LEADER_KOMIUS_CASTRONIUS', 	'TXT_KEY_LEADER_KOMIUS_CASTRONIUS', 'TXT_KEY_LEADER_KOMIUS_CASTRONIUS_PEDIA_TEXT', 'TXT_KEY_LEADER_KOMIUS_CASTRONIUS_PEDIA', 'Comius_Scene.xml',	6, 						4, 						5, 							8, 			7, 				3, 				6, 					 6, 			 8, 		6, 			5, 			 4, 		 8, 		'SAMNITES_ATLAS', 	1);
--==========================================================================================================================	
-- Leader_MajorCivApproachBiases
--==========================================================================================================================						
INSERT INTO Leader_MajorCivApproachBiases 
			(LeaderType, 				MajorCivApproachType, 				Bias)
VALUES		('LEADER_KOMIUS_CASTRONIUS', 	'MAJOR_CIV_APPROACH_WAR', 			7),
			('LEADER_KOMIUS_CASTRONIUS', 	'MAJOR_CIV_APPROACH_HOSTILE', 		4),
			('LEADER_KOMIUS_CASTRONIUS', 	'MAJOR_CIV_APPROACH_DECEPTIVE', 	4),
			('LEADER_KOMIUS_CASTRONIUS', 	'MAJOR_CIV_APPROACH_GUARDED', 		4),
			('LEADER_KOMIUS_CASTRONIUS', 	'MAJOR_CIV_APPROACH_AFRAID', 		1),
			('LEADER_KOMIUS_CASTRONIUS', 	'MAJOR_CIV_APPROACH_FRIENDLY', 		7),
			('LEADER_KOMIUS_CASTRONIUS', 	'MAJOR_CIV_APPROACH_NEUTRAL', 		5);
--==========================================================================================================================	
-- Leader_MajorCivApproachBiases
--==========================================================================================================================						
INSERT INTO Leader_MinorCivApproachBiases 
			(LeaderType, 				MinorCivApproachType, 				Bias)
VALUES		('LEADER_KOMIUS_CASTRONIUS', 	'MINOR_CIV_APPROACH_IGNORE', 		3),
			('LEADER_KOMIUS_CASTRONIUS', 	'MINOR_CIV_APPROACH_FRIENDLY', 		7),
			('LEADER_KOMIUS_CASTRONIUS', 	'MINOR_CIV_APPROACH_PROTECTIVE', 	6),
			('LEADER_KOMIUS_CASTRONIUS', 	'MINOR_CIV_APPROACH_CONQUEST', 		5),
			('LEADER_KOMIUS_CASTRONIUS', 	'MINOR_CIV_APPROACH_BULLY', 		5);
--==========================================================================================================================	
-- Leader_Flavors
--==========================================================================================================================						
INSERT INTO Leader_Flavors 
			(LeaderType, 				FlavorType, 						Flavor)
VALUES		('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_OFFENSE', 					7),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_DEFENSE', 					7),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_CITY_DEFENSE', 				6),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_MILITARY_TRAINING', 		7),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_RECON', 					5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_RANGED', 					6),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_MOBILE', 					5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_NAVAL', 					3),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_NAVAL_RECON', 				3),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_AIR', 						6),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_EXPANSION', 				8),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_GROWTH', 					5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_NAVAL_GROWTH', 				4),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_TILE_IMPROVEMENT', 			6),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_INFRASTRUCTURE', 			6),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_PRODUCTION', 				9),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_GOLD', 						5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_SCIENCE', 					5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_CULTURE', 					3),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_HAPPINESS', 				7),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_GREAT_PEOPLE', 				3),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_WONDER', 					3),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_RELIGION', 					7),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_DIPLOMACY', 				5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_SPACESHIP', 				3),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_WATER_CONNECTION', 			5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_NUKE', 						10),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_USE_NUKE', 					7),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_ESPIONAGE', 				6),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_AIRLIFT', 					5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_I_TRADE_DESTINATION', 		5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_I_TRADE_ORIGIN', 			5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_I_SEA_TRADE_ROUTE', 		5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_I_LAND_TRADE_ROUTE', 		5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_ARCHAEOLOGY', 				5),
			('LEADER_KOMIUS_CASTRONIUS', 	'FLAVOR_AIR_CARRIER', 				5);
--==========================================================================================================================	
-- Leader_Traits
--==========================================================================================================================	
INSERT INTO Leader_Traits 
			(LeaderType, 				TraitType)
VALUES		('LEADER_KOMIUS_CASTRONIUS', 	'TRAIT_SAMNITES');
--==========================================================================================================================	
-- Traits
--==========================================================================================================================	
INSERT INTO Traits 
			(Type, 				Description, 					ShortDescription)
VALUES		('TRAIT_SAMNITES', 	'TXT_KEY_TRAIT_SAMNITES', 	'TXT_KEY_TRAIT_SAMNITES_SHORT');
--==========================================================================================================================	
-- BuildingClasses
--==========================================================================================================================	
INSERT INTO BuildingClasses 	
			(Type, 						DefaultBuilding, 		Description)
VALUES		('BUILDINGCLASS_TOTEM', 	'BUILDING_TOTEM_BIRD', 	'TXT_KEY_TRAIT_SAMNITES_SHORT'),
			('BUILDINGCLASS_UNITADJ', 	'BUILDING_UNITADJ', 	'TXT_KEY_TRAIT_SAMNITES_SHORT');
--==========================================================================================================================	
-- Buildings
--==========================================================================================================================			
INSERT INTO Buildings 	
			(Type, 						BuildingClass, 			TrainedFreePromotion,			Cost, FaithCost, NukeImmune, ConquestProb,  PrereqTech,		Description, 					Help,								PortraitIndex, 	IconAtlas, 		Civilopedia)
VALUES		('BUILDING_TOTEM_BIRD',		'BUILDINGCLASS_TOTEM', 	'PROMOTION_INDUSTRY_WOODPECKER',	-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_BIRD', 	'TXT_KEY_BUILDING_TOTEM_BIRD_HELP',		7, 	'SAMNITES_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_HORSE',	'BUILDINGCLASS_TOTEM', 	'PROMOTION_DEXTERITY_HORSE',		-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_HORSE', 'TXT_KEY_BUILDING_TOTEM_HORSE_HELP',	1, 	'RESOURCE_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_COW',		'BUILDINGCLASS_TOTEM', 	'PROMOTION_SERENITY_OX',			-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_COW', 	'TXT_KEY_BUILDING_TOTEM_COW_HELP',		7, 	'RESOURCE_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_BISON',	'BUILDINGCLASS_TOTEM', 	'PROMOTION_STURDINESS_BUFFALO',		-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_BISON', 'TXT_KEY_BUILDING_TOTEM_BISON_HELP', 	1, 'RESOURCE_ATLAS_DLC_07','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_SHEEP',	'BUILDINGCLASS_TOTEM', 	'PROMOTION_BALANCE_GOAT',			-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_SHEEP', 'TXT_KEY_BUILDING_TOTEM_SHEEP_HELP',	26, 'RESOURCE_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_DEER',		'BUILDINGCLASS_TOTEM', 	'PROMOTION_ELUSIVENESS_DEER',		-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_DEER', 	'TXT_KEY_BUILDING_TOTEM_DEER_HELP',		8, 	'RESOURCE_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_IVORY',	'BUILDINGCLASS_TOTEM', 	'PROMOTION_MAJESTY_ELEPHANT',		-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_IVORY', 'TXT_KEY_BUILDING_TOTEM_IVORY_HELP', 	15, 'RESOURCE_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_FUR',		'BUILDINGCLASS_TOTEM',  'PROMOTION_SOLIDARITY_WOLF',		-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_FUR', 	'TXT_KEY_BUILDING_TOTEM_FUR_HELP',		25, 'RESOURCE_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT'),
			('BUILDING_TOTEM_TRUFFLE',	'BUILDINGCLASS_TOTEM', 	'PROMOTION_FURY_BOAR',				-1,  	 -1, 		 1,		 	 0,		NULL, 			'TXT_KEY_BUILDING_TOTEM_TRUFFLES', 	'TXT_KEY_BUILDING_TOTEM_TRUFFLES_HELP',	6, 'EXPANSION_RESOURCE_ATLAS','TXT_KEY_CIV5_BUILDING_TOTEM_TEXT');

UPDATE Buildings SET UnmoddedHappiness = 3 WHERE Type = 'BUILDING_TOTEM_COW';		
UPDATE Buildings SET Defense = 300, ExtraCityHitPoints= 25  WHERE Type = 'BUILDING_TOTEM_BISON';	
UPDATE Buildings SET GlobalGreatPeopleRateModifier = 10  WHERE Type = 'BUILDING_TOTEM_IVORY';	
UPDATE Buildings SET WorkerSpeedModifier= 10  WHERE Type = 'BUILDING_TOTEM_FUR';
UPDATE Buildings SET CultureRateModifier= 10  WHERE Type = 'BUILDING_TOTEM_SHEEP';
			
INSERT INTO Buildings
		(Type, 					BuildingClass, 				Cost,	FaithCost,	GreatWorkCount,	PrereqTech,	MinAreaSize,	ConquestProb,	Description, 						Help)
VALUES	('BUILDING_UNITADJ', 	'BUILDINGCLASS_UNITADJ',	-1,		-1,			-1,				null,			     -1,			100,	'TXT_KEY_TRAIT_SAMNITES_SHORT',		'TXT_KEY_TRAIT_SAMNITES');
			
INSERT INTO Building_YieldModifiers	
	(BuildingType,				YieldType, Yield) VALUES
	('BUILDING_TOTEM_BIRD',		'YIELD_GOLD',	10),
	('BUILDING_TOTEM_BISON',	'YIELD_PRODUCTION',	10);

INSERT INTO Building_YieldChanges 
	(BuildingType, 			YieldType,		Yield) VALUES
	('BUILDING_TOTEM_HORSE',	'YIELD_SCIENCE',	2),
	('BUILDING_TOTEM_SHEEP',	'YIELD_CULTURE',	2),
	('BUILDING_TOTEM_BIRD',		'YIELD_GOLD',		2),
	('BUILDING_TOTEM_BISON',	'YIELD_PRODUCTION',	2);
			
INSERT INTO	Building_DomainFreeExperiences
		(BuildingType,DomainType,Experience)
VALUES	('BUILDING_TOTEM_HORSE', 'DOMAIN_LAND', 15),
		('BUILDING_TOTEM_HORSE', 'DOMAIN_SEA', 15),
		('BUILDING_TOTEM_HORSE', 'DOMAIN_AIR', 15);

INSERT INTO Building_YieldChangesPerPop 
	(BuildingType, 			YieldType,		Yield) VALUES
	('BUILDING_TOTEM_HORSE','YIELD_SCIENCE',	20);
	
INSERT INTO Building_FeatureYieldChanges
	(BuildingType, 			FeatureType, 	YieldType,		Yield) VALUES
	('BUILDING_TOTEM_BIRD',	'FEATURE_JUNGLE','YIELD_PRODUCTION',	1),
	('BUILDING_TOTEM_BIRD',	'FEATURE_MARSH','YIELD_PRODUCTION',	1),
	('BUILDING_TOTEM_BIRD',	'FEATURE_OASIS','YIELD_PRODUCTION',	1),
	('BUILDING_TOTEM_DEER','FEATURE_FOREST','YIELD_FOOD',	1);
	
INSERT INTO Building_TerrainYieldChanges
	(BuildingType, 			TerrainType, 	YieldType,		Yield) VALUES
	('BUILDING_TOTEM_DEER','TERRAIN_SNOW','YIELD_FOOD',	1);
	
INSERT INTO Building_ResourceYieldChanges
	(BuildingType, 				ResourceType, 		YieldType,		Yield) VALUES
	('BUILDING_TOTEM_IVORY',	'RESOURCE_IVORY',	'YIELD_CULTURE',	1),
	('BUILDING_TOTEM_FUR',		'RESOURCE_FUR',		'YIELD_CULTURE',	1),
	('BUILDING_TOTEM_TRUFFLE',	'RESOURCE_TRUFFLES','YIELD_CULTURE',	1);
--==========================================================================================================================	
-- UnitPromotions
--==========================================================================================================================	
INSERT INTO UnitPromotions 
			(Type, 							 Description, 							 Help, 												Sound, 			LostWithUpgrade, OrderPriority, RoughAttack, RoughDefense,	FriendlyLandsModifier, 	HillsDoubleMove, 	IgnoreTerrainCost, VisibilityChange,CannotBeChosen,	PortraitIndex, 	IconAtlas,			PediaType, 			PediaEntry)
VALUES		('PROMOTION_DEVOTIO_MARTEM',	 'TXT_KEY_PROMOTION_DEVOTIO_MARTEM',	 'TXT_KEY_PROMOTION_DEVOTIO_MARTEM_HELP',		'AS2D_IF_LEVELUP',	1,				 0, 			20, 			20, 			20,						1,						0,				0,					1,				12, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_DEVOTIO_MARTEM'),
			('PROMOTION_SERENITY_OX',		 'TXT_KEY_PROMOTION_SERENITY_OX',		 'TXT_KEY_PROMOTION_SERENITY_OX_HELP',			'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				2, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_SERENITY_OX'),
			('PROMOTION_STURDINESS_BUFFALO', 'TXT_KEY_PROMOTION_STURDINESS_BUFFALO', 'TXT_KEY_PROMOTION_STURDINESS_BUFFALO_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				3, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_STURDINESS_BUFFALO'),
			('PROMOTION_BALANCE_GOAT',		 'TXT_KEY_PROMOTION_BALANCE_GOAT',		 'TXT_KEY_PROMOTION_BALANCE_GOAT_HELP',			'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				4, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_BALANCE_GOAT'),
			('PROMOTION_ELUSIVENESS_DEER',	 'TXT_KEY_PROMOTION_ELUSIVENESS_DEER',	 'TXT_KEY_PROMOTION_ELUSIVENESS_DEER_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				5, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_ELUSIVENESS_DEER'),
			('PROMOTION_MAJESTY_ELEPHANT',	 'TXT_KEY_PROMOTION_MAJESTY_ELEPHANT',	 'TXT_KEY_PROMOTION_MAJESTY_ELEPHANT_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				6, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MAJESTY_ELEPHANT'),
			('PROMOTION_SOLIDARITY_WOLF',	 'TXT_KEY_PROMOTION_SOLIDARITY_WOLF',	 'TXT_KEY_PROMOTION_SOLIDARITY_WOLF_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				7, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_SOLIDARITY_WOLF'),
			('PROMOTION_FURY_BOAR',		 	 'TXT_KEY_PROMOTION_FURY_BOAR',		 	 'TXT_KEY_PROMOTION_FURY_BOAR_HELP',			'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				8, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_FURY_BOAR'),
			('PROMOTION_DEXTERITY_HORSE',	 'TXT_KEY_PROMOTION_DEXTERITY_HORSE',	 'TXT_KEY_PROMOTION_DEXTERITY_HORSE_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						1,				0,					1,				1, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_DEXTERITY_HORSE'),
			('PROMOTION_INDUSTRY_WOODPECKER','TXT_KEY_PROMOTION_INDUSTRY_WOODPECKER','TXT_KEY_PROMOTION_INDUSTRY_WOODPECKER_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				1,					1,				0, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_INDUSTRY_WOODPECKER'),
			('PROMOTION_DUX_CIVITATIS',		 'TXT_KEY_PROMOTION_DUX_CIVITATIS',		 'TXT_KEY_PROMOTION_DUX_CIVITATIS_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						1,				0,					1,				9, 	'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_DUX_CIVITATIS'),
			('PROMOTION_SACRATUS',			 'TXT_KEY_PROMOTION_SACRATUS',			 'TXT_KEY_PROMOTION_SACRATUS_HELP',				'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						1,				2,					1,				10, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_SACRATUS'),
			('PROMOTION_FIRSTSACRATUS',		 'TXT_KEY_PROMOTION_FIRSTSACRATUS',		 'TXT_KEY_PROMOTION_FIRSTSACRATUS_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			0, 				0, 				0,						0,						0,				0,					1,				11, 'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_FIRSTSACRATUS');

UPDATE UnitPromotions SET ExtraWithdrawal = '100' WHERE Type = 'PROMOTION_FIRSTSACRATUS';
			
UPDATE UnitPromotions SET CanMoveAfterAttacking = '1' WHERE Type = 'PROMOTION_DEXTERITY_HORSE';
UPDATE UnitPromotions SET ExperiencePercent = '50' WHERE Type = 'PROMOTION_INDUSTRY_WOODPECKER';
UPDATE UnitPromotions SET EnemyHealChange = '5', NeutralHealChange = '5', FriendlyHealChange = '5' WHERE Type = 'PROMOTION_SERENITY_OX';
UPDATE UnitPromotions SET DefenseMod = '15' WHERE Type = 'PROMOTION_STURDINESS_BUFFALO';
UPDATE UnitPromotions SET CityAttack = '33' WHERE Type = 'PROMOTION_BALANCE_GOAT';
UPDATE UnitPromotions SET CanMoveImpassable = '1' WHERE Type = 'PROMOTION_BALANCE_GOAT';
UPDATE UnitPromotions SET ExtraWithdrawal = '20', IgnoreZOC =1 WHERE Type = 'PROMOTION_ELUSIVENESS_DEER';
UPDATE UnitPromotions SET NearbyEnemyCombatMod = '-10', NearbyEnemyCombatRange = '1' WHERE Type = 'PROMOTION_MAJESTY_ELEPHANT';
UPDATE UnitPromotions SET FlankAttackModifier = '30' WHERE Type = 'PROMOTION_SOLIDARITY_WOLF';
UPDATE UnitPromotions SET AttackWoundedMod = '30' WHERE Type = 'PROMOTION_FURY_BOAR';

INSERT INTO UnitPromotions_Features
			(PromotionType,					FeatureType,DoubleMove) VALUES
			('PROMOTION_SOLIDARITY_WOLF', 'FEATURE_FOREST', 1),
			('PROMOTION_SOLIDARITY_WOLF', 'FEATURE_JUNGLE', 1);

INSERT INTO UnitPromotions_UnitCombats
	(PromotionType, 				UnitCombatType) VALUES			
	('PROMOTION_SERENITY_OX',			'UNITCOMBAT_MELEE'),
	('PROMOTION_SERENITY_OX',			'UNITCOMBAT_GUN'),
	('PROMOTION_SERENITY_OX',			'UNITCOMBAT_MOUNTED'),
	('PROMOTION_SERENITY_OX',			'UNITCOMBAT_ARMOR'),
	('PROMOTION_SERENITY_OX',			'UNITCOMBAT_RECON'),
	('PROMOTION_SERENITY_OX',			'UNITCOMBAT_ARCHER'),
	('PROMOTION_SERENITY_OX',			'UNITCOMBAT_SIEGE'),
	('PROMOTION_STURDINESS_BUFFALO',	'UNITCOMBAT_MELEE'),
	('PROMOTION_STURDINESS_BUFFALO',	'UNITCOMBAT_GUN'),
	('PROMOTION_STURDINESS_BUFFALO',	'UNITCOMBAT_MOUNTED'),
	('PROMOTION_STURDINESS_BUFFALO',	'UNITCOMBAT_ARMOR'),
	('PROMOTION_STURDINESS_BUFFALO',	'UNITCOMBAT_RECON'),
	('PROMOTION_STURDINESS_BUFFALO',	'UNITCOMBAT_ARCHER'),
	('PROMOTION_STURDINESS_BUFFALO',	'UNITCOMBAT_SIEGE'),
	('PROMOTION_BALANCE_GOAT',			'UNITCOMBAT_MELEE'),
	('PROMOTION_BALANCE_GOAT',			'UNITCOMBAT_GUN'),
	('PROMOTION_BALANCE_GOAT',			'UNITCOMBAT_MOUNTED'),
	('PROMOTION_BALANCE_GOAT',			'UNITCOMBAT_ARMOR'),
	('PROMOTION_BALANCE_GOAT',			'UNITCOMBAT_RECON'),
	('PROMOTION_BALANCE_GOAT',			'UNITCOMBAT_ARCHER'),
	('PROMOTION_BALANCE_GOAT',			'UNITCOMBAT_SIEGE'),
	('PROMOTION_ELUSIVENESS_DEER',		'UNITCOMBAT_MELEE'),
	('PROMOTION_ELUSIVENESS_DEER',		'UNITCOMBAT_GUN'),
	('PROMOTION_ELUSIVENESS_DEER',		'UNITCOMBAT_MOUNTED'),
	('PROMOTION_ELUSIVENESS_DEER',		'UNITCOMBAT_ARMOR'),
	('PROMOTION_ELUSIVENESS_DEER',		'UNITCOMBAT_RECON'),
	('PROMOTION_ELUSIVENESS_DEER',		'UNITCOMBAT_ARCHER'),
	('PROMOTION_ELUSIVENESS_DEER',		'UNITCOMBAT_SIEGE'),	 
	('PROMOTION_MAJESTY_ELEPHANT',		'UNITCOMBAT_MELEE'),
	('PROMOTION_MAJESTY_ELEPHANT',		'UNITCOMBAT_GUN'),
	('PROMOTION_MAJESTY_ELEPHANT',		'UNITCOMBAT_MOUNTED'),
	('PROMOTION_MAJESTY_ELEPHANT',		'UNITCOMBAT_ARMOR'),
	('PROMOTION_MAJESTY_ELEPHANT',		'UNITCOMBAT_RECON'),
	('PROMOTION_MAJESTY_ELEPHANT',		'UNITCOMBAT_ARCHER'),
	('PROMOTION_MAJESTY_ELEPHANT',		'UNITCOMBAT_SIEGE'),
	('PROMOTION_SOLIDARITY_WOLF',		'UNITCOMBAT_MELEE'),
	('PROMOTION_SOLIDARITY_WOLF',		'UNITCOMBAT_GUN'),
	('PROMOTION_SOLIDARITY_WOLF',		'UNITCOMBAT_MOUNTED'),
	('PROMOTION_SOLIDARITY_WOLF',		'UNITCOMBAT_ARMOR'),
	('PROMOTION_SOLIDARITY_WOLF',		'UNITCOMBAT_RECON'),
	('PROMOTION_SOLIDARITY_WOLF',		'UNITCOMBAT_ARCHER'),
	('PROMOTION_SOLIDARITY_WOLF',		'UNITCOMBAT_SIEGE'),	
	('PROMOTION_FURY_BOAR',				'UNITCOMBAT_MELEE'),
	('PROMOTION_FURY_BOAR',				'UNITCOMBAT_GUN'),
	('PROMOTION_FURY_BOAR',				'UNITCOMBAT_MOUNTED'),
	('PROMOTION_FURY_BOAR',				'UNITCOMBAT_ARMOR'),
	('PROMOTION_FURY_BOAR',				'UNITCOMBAT_RECON'),
	('PROMOTION_FURY_BOAR',				'UNITCOMBAT_ARCHER'),
	('PROMOTION_FURY_BOAR',				'UNITCOMBAT_SIEGE'),
	('PROMOTION_DEXTERITY_HORSE',		'UNITCOMBAT_MELEE'),
	('PROMOTION_DEXTERITY_HORSE',		'UNITCOMBAT_GUN'),
	('PROMOTION_DEXTERITY_HORSE',		'UNITCOMBAT_MOUNTED'),
	('PROMOTION_DEXTERITY_HORSE',		'UNITCOMBAT_ARMOR'),
	('PROMOTION_DEXTERITY_HORSE',		'UNITCOMBAT_RECON'),
	('PROMOTION_DEXTERITY_HORSE',		'UNITCOMBAT_ARCHER'),
	('PROMOTION_DEXTERITY_HORSE',		'UNITCOMBAT_SIEGE'),	 	 
	('PROMOTION_INDUSTRY_WOODPECKER',	'UNITCOMBAT_MELEE'),
	('PROMOTION_INDUSTRY_WOODPECKER',	'UNITCOMBAT_GUN'),
	('PROMOTION_INDUSTRY_WOODPECKER',	'UNITCOMBAT_MOUNTED'),
	('PROMOTION_INDUSTRY_WOODPECKER',	'UNITCOMBAT_ARMOR'),
	('PROMOTION_INDUSTRY_WOODPECKER',	'UNITCOMBAT_RECON'),
	('PROMOTION_INDUSTRY_WOODPECKER',	'UNITCOMBAT_ARCHER'),
	('PROMOTION_INDUSTRY_WOODPECKER',	'UNITCOMBAT_SIEGE');
--==========================================================================================================================	
-- Units
--==========================================================================================================================		
INSERT INTO Units 	
			(Class, 	Type, 						PrereqTech, Requirements,	Cost, ObsoleteTech, FaithCost,	RequiresFaithPurchaseEnabled, Moves, BaseSightRange, Capture, CivilianAttackPriority, Food, Found, Domain, DefaultUnitAI, Description,						Civilopedia,	Strategy,		Help, HurryCostModifier, MinAreaSize, NukeDamageLevel, ShowInPedia, DontShowYields, UnitArtInfo, UnitArtInfoCulturalVariation,	UnitFlagIconOffset,	UnitFlagAtlas, PortraitIndex, IconAtlas, MoveRate, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, AdvancedStartCost, Mechanized, CombatLimit, Pillage, XPValueAttack, XPValueDefense, Conscription)
SELECT		Class,		('UNIT_SAMNITE_SETTLER'),	PrereqTech, Requirements,	Cost, ObsoleteTech, 200, 		RequiresFaithPurchaseEnabled, Moves, BaseSightRange, Capture, CivilianAttackPriority, Food, Found, Domain, DefaultUnitAI, 'TXT_KEY_UNIT_SAMNITE_SETTLER', 	Civilopedia, 	Strategy,		Help, HurryCostModifier, MinAreaSize, NukeDamageLevel, 			 0, DontShowYields, UnitArtInfo, UnitArtInfoCulturalVariation,	UnitFlagIconOffset,	UnitFlagAtlas, PortraitIndex, IconAtlas, MoveRate, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, AdvancedStartCost, Mechanized, CombatLimit, Pillage, XPValueAttack, XPValueDefense, Conscription
FROM Units WHERE (Type = 'UNIT_SETTLER');

INSERT INTO Units 	
		(Type, 				  Class, ShowInPedia, Cost, FaithCost, Moves, CivilianAttackPriority, Special, MoveAfterPurchase, Domain, DefaultUnitAI, Description, 					Civilopedia, 								Help, 										Strategy,							AdvancedStartCost,	WorkRate, CombatLimit, DontShowYields, UnitArtInfoEraVariation,	UnitArtInfo, 					UnitFlagIconOffset,	UnitFlagAtlas,						MoveRate, PortraitIndex, 	IconAtlas)
SELECT	'UNIT_MEDDIS_TOUTIKS',Class, ShowInPedia, Cost, FaithCost, Moves, CivilianAttackPriority, Special, MoveAfterPurchase, Domain, DefaultUnitAI, 'TXT_KEY_UNIT_MEDDIS_TOUTIKS',	'TXT_KEY_CIV5_UNIT_MEDDIS_TOUTIKS_TEXT', 	'TXT_KEY_UNIT_MEDDIS_TOUTIKS_HELP', 	'TXT_KEY_UNIT_MEDDIS_TOUTIKS_STRATEGY',	AdvancedStartCost, 	WorkRate, CombatLimit, DontShowYields, 0,						'ART_DEF_UNIT_MEDDIS_TOUTIKS',	0,					'UNIT_MEDDIS_TOUTIKS_FLAG_ATLAS',	MoveRate, 3, 				'SAMNITES_ATLAS'
FROM Units WHERE Type = 'UNIT_GREAT_GENERAL';

INSERT INTO Units 	
			(Class, 	Type, 						PrereqTech, Combat,		Cost, ObsoleteTech, FaithCost, RequiresFaithPurchaseEnabled, WorkRate, Moves, CombatClass, Domain, GoodyHutUpgradeUnitClass, DefaultUnitAI, Description, 						Civilopedia, 									 	Strategy, 							  		Help, 					MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, AdvancedStartCost, Mechanized, CombatLimit, MinAreaSize, Pillage, XPValueAttack, XPValueDefense, Conscription, UnitArtInfo, 				UnitFlagIconOffset,	UnitFlagAtlas,				PortraitIndex, IconAtlas,		 MoveRate)
SELECT		Class,		('UNIT_LEGIO_LINTEATA'),	PrereqTech, Combat+2,	Cost, ObsoleteTech, FaithCost, 							0,	     150,  Moves, CombatClass, Domain, 'UNITCLASS_LONGSWORDSMAN',DefaultUnitAI, ('TXT_KEY_UNIT_LEGIO_LINTEATA'),  ('TXT_KEY_UNIT_LEGIO_LINTEATA_TEXT'), ('TXT_KEY_UNIT_LEGIO_LINTEATA_STRATEGY'), 	('TXT_KEY_UNIT_LEGIO_LINTEATA_HELP'), 	MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, AdvancedStartCost, Mechanized, CombatLimit, MinAreaSize, Pillage, XPValueAttack, XPValueDefense, Conscription, ('ART_DEF_UNIT_LEGIO_LINTEATA'),	0,				('UNIT_LEGIO_LINTEATA_FLAG_ATLAS'), 2, 		 ('SAMNITES_ATLAS'),  MoveRate
FROM Units WHERE (Type = 'UNIT_SPEARMAN');

INSERT INTO Unit_Builds
	(UnitType,			BuildType) VALUES
	('UNIT_LEGIO_LINTEATA','BUILD_PASTURE'),
	('UNIT_LEGIO_LINTEATA','BUILD_CAMP');
	
INSERT INTO Unit_Builds 	
		(UnitType, 					BuildType)
SELECT	'UNIT_MEDDIS_TOUTIKS',		BuildType
FROM Unit_Builds WHERE UnitType = 'UNIT_GREAT_GENERAL';
--==========================================================================================================================	
-- UnitGameplay2DScripts
--==========================================================================================================================		
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 					SelectionSound, FirstSelectionSound)
SELECT		('UNIT_SAMNITE_SETTLER'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_SETTLER');	

INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 					SelectionSound, FirstSelectionSound)
SELECT		('UNIT_LEGIO_LINTEATA'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 					SelectionSound,	 FirstSelectionSound)
SELECT	'UNIT_MEDDIS_TOUTIKS',		SelectionSound,	 FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_GENERAL';		
--==========================================================================================================================	
-- Unit_AITypes
--==========================================================================================================================		
INSERT INTO Unit_AITypes 	
			(UnitType, 					UnitAIType)
SELECT		('UNIT_SAMNITE_SETTLER'), 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_SETTLER');

INSERT INTO Unit_AITypes 	
			(UnitType, 					UnitAIType)
SELECT		('UNIT_LEGIO_LINTEATA'), 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO Unit_AITypes 	
		(UnitType, 					UnitAIType)
SELECT	'UNIT_MEDDIS_TOUTIKS',		UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_GREAT_GENERAL';
--==========================================================================================================================	
-- Unit_ClassUpgrades
--==========================================================================================================================		
INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 					UnitClassType)
SELECT		('UNIT_SAMNITE_SETTLER'), 	UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_SETTLER');

INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 					UnitClassType)
SELECT		('UNIT_LEGIO_LINTEATA'), 	UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_SWORDSMAN');
--==========================================================================================================================	
-- Unit_Flavors
--==========================================================================================================================		
INSERT INTO Unit_Flavors 	
			(UnitType, 					FlavorType,				Flavor)
SELECT		('UNIT_SAMNITE_SETTLER'), 	FlavorType,				Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_SETTLER');

INSERT INTO Unit_Flavors 	
			(UnitType, 					FlavorType,				Flavor)
SELECT		('UNIT_LEGIO_LINTEATA'), 	FlavorType,				Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO Unit_Flavors 	
			(UnitType, 					FlavorType,				Flavor)
SELECT		('UNIT_MEDDIS_TOUTIKS'), 	FlavorType,				Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_GREAT_GENERAL');
--==========================================================================================================================	
-- Unit_FreePromotions
--==========================================================================================================================		
INSERT INTO Unit_FreePromotions
	(UnitType, 				PromotionType) VALUES
	('UNIT_SAMNITE_SETTLER','PROMOTION_SACRATUS');

INSERT INTO Unit_FreePromotions
			(UnitType, 					PromotionType)
SELECT		('UNIT_LEGIO_LINTEATA'), 	PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO Unit_FreePromotions 	
		(UnitType, 					PromotionType)
SELECT	'UNIT_MEDDIS_TOUTIKS',		PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREAT_GENERAL';

INSERT INTO Unit_FreePromotions
			(UnitType, 					PromotionType)
VALUES		('UNIT_LEGIO_LINTEATA', 	'PROMOTION_DEVOTIO_MARTEM'),
			('UNIT_MEDDIS_TOUTIKS', 	'PROMOTION_DUX_CIVITATIS');
--==========================================================================================================================	
-- Policies
--==========================================================================================================================
INSERT INTO Policies
			(Type, 						Description,	 UnitGoldMaintenanceMod)
			-- The policy applies only once per city up to max 5 buildings in the empire
VALUES		('POLICY_TOTEM_TRUFFLE', 	'TXT_KEY_BUILDING_TOTEM_TRUFFLES', -5 ),
			('POLICY_TOTEM_TRUFFLE2', 	'TXT_KEY_BUILDING_TOTEM_TRUFFLES', -5 ),
			('POLICY_TOTEM_TRUFFLE3', 	'TXT_KEY_BUILDING_TOTEM_TRUFFLES', -4 ),
			('POLICY_TOTEM_TRUFFLE4', 	'TXT_KEY_BUILDING_TOTEM_TRUFFLES', -3 ),
			('POLICY_TOTEM_TRUFFLE5', 	'TXT_KEY_BUILDING_TOTEM_TRUFFLES', -3 );
--==========================================================================================================================			
--==========================================================================================================================